import request from '@/utils/request'

// 查询票据订单列表
export function businessProductOrderPage (query) {
  return request({
    url: `/system/businessProductOrder/page`,
    method: 'get',
    params: query
  })
}
// 获取票据订单详细信息
export function businessProductOrderInfo (orderId) {
  return request({
    url: `/system/businessProductOrder/info/${orderId}`,
    method: 'get',
  })
}
// 查询票据订单退款列表
export function businessProductRefundPage (query) {
  return request({
    url: `/system/businessProductRefund/page`,
    method: 'get',
    params: query
  })
}
// 获取票据订单退款详细信息
export function businessProductRefundInfo (refundOrderId) {
  return request({
    url: `/system/businessProductRefund/info/${refundOrderId}`,
    method: 'get',
  })
}
// 票据订单退款审核
export function businessProductRefundAudit (data) {
  return request({
    url: `/system/businessProductRefund/audit`,
    method: 'post',
    data
  })
}
// 获取票据订单下券码详细信息
export function orderCouponList (query) {
  return request({
    url: `/system/businessProduct/orderCoupon/list`,
    method: 'get',
    params: query
  })
}
// 票据码核销
export function verification (data) {
  return request({
    url: `/system/businessProduct/orderCoupon/verification`,
    method: 'post',
    data
  })
}
// 设置订单的预约日期和时间段
export function businessProductOrderChange (data) {
  return request({
    url: `/system/businessProductOrder/change`,
    method: 'post',
    data
  })
}
// 获取商家商品的可预约信息
export function reservation (businessProductId) {
  return request({
    url: `/ticket/businessProduct/info/reservation/${businessProductId}`,
    method: 'get',
  })
}
// 2025/9/23
